Skip to main content
GET
/
v1
/
asset
/
policy
/
{policy_id}
Get asset policy
curl --request GET \
  --url https://api.projectdiscovery.io/v1/asset/policy/{policy_id} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.projectdiscovery.io/v1/asset/policy/{policy_id}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.projectdiscovery.io/v1/asset/policy/{policy_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "policies": {
      "is_tech": true,
      "is_favicon": true,
      "is_new": true,
      "labels": "<string>",
      "host": "<string>",
      "port": "<string>",
      "status_code": "<string>",
      "content_length": "<string>",
      "title": "<string>",
      "domain": [
        "<string>"
      ],
      "cname": "<string>",
      "technologies": "<string>",
      "ip": "<string>",
      "is_screenshot": true,
      "start_date": "2023-12-25",
      "end_date": "2023-12-25",
      "custom_filter": "<string>",
      "search": "<string>",
      "enumeration_ids": [
        "<string>"
      ],
      "only_dns": true,
      "only_ip": true,
      "not_seen_for_days": 2
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "alerting_config_ids": [
      "<string>"
    ],
    "labels": [
      "<string>"
    ],
    "enumeration_ids": [
      "<string>"
    ],
    "metadata": {},
    "last_executed_at": "2023-11-07T05:31:56Z",
    "apply_to_existing": true
  },
  "message": "<string>"
}
{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}
{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}
{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}
{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}
{
"message": "<string>",
"kind": "<string>",
"code": "<string>",
"error": "<string>",
"error_id": "<string>",
"param": "<string>",
"status": 123
}

Authorizations

X-API-Key
string
header
required

Path Parameters

policy_id
string
required

Unique identifier of the asset policy

Response

OK

data
AssetPolicy · object
message
string